Package be.vlaanderen.mercurius.insurability.schemas.v1

# Class PersonType

java.lang.Object
be.vlaanderen.mercurius.insurability.schemas.v1.PersonType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class PersonType extends Object implements Serializable

Java class for PersonType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PersonType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Ssin" type="{http://www.mercurius.vlaanderen.be/vsb/schemas/v1}SSINType"/>
             <element name="Name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Firstname" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Gender" type="{http://www.mercurius.vlaanderen.be/vsb/schemas/v1}GenderType" minOccurs="0"/>
             <element name="Birthdate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="DateDeceased" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="Address" type="{http://www.mercurius.vlaanderen.be/vsb/schemas/v1}AddressType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PersonType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AddressType`
  `getAddress()`
  Domicilie adres van de persoon
  `Instant`
  `getBirthdate()`
  Geboortedatum van de persoon
  `Instant`
  `getDateDeceased()`
  Datum overlijden van de persoon
  `String`
  `getFirstname()`
  Voornaam van de persoon
  `String`
  `getGender()`
  Geslacht van de persoon
  `String`
  `getName()`
  Naam van de persoon
  `String`
  `getSsin()`
  Huidig INSZ-nummer van de bewoner of de zorgvrager
  `void`
  `setAddress(AddressType value)`
  Sets the value of the address property.
  `void`
  `setBirthdate(Instant value)`
  Sets the value of the birthdate property.
  `void`
  `setDateDeceased(Instant value)`
  Sets the value of the dateDeceased property.
  `void`
  `setFirstname(String value)`
  Sets the value of the firstname property.
  `void`
  `setGender(String value)`
  Sets the value of the gender property.
  `void`
  `setName(String value)`
  Sets the value of the name property.
  `void`
  `setSsin(String value)`
  Sets the value of the ssin property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PersonType

    public PersonType()

- ## Method Details

  - ### getSsin

    public String getSsin()
    Huidig INSZ-nummer van de bewoner of de zorgvrager
    Returns:
      possible object is `String`

  - ### setSsin

    public void setSsin(String value)
    Sets the value of the ssin property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getSsin()`

  - ### getName

    public String getName()
    Naam van de persoon
    Returns:
      possible object is `String`

  - ### setName

    public void setName(String value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getName()`

  - ### getFirstname

    public String getFirstname()
    Voornaam van de persoon
    Returns:
      possible object is `String`

  - ### setFirstname

    public void setFirstname(String value)
    Sets the value of the firstname property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getFirstname()`

  - ### getGender

    public String getGender()
    Geslacht van de persoon
    Returns:
      possible object is `String`

  - ### setGender

    public void setGender(String value)
    Sets the value of the gender property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getGender()`

  - ### getBirthdate

    public Instant getBirthdate()
    Geboortedatum van de persoon
    Returns:
      possible object is `String`

  - ### setBirthdate

    public void setBirthdate(Instant value)
    Sets the value of the birthdate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getBirthdate()`

  - ### getDateDeceased

    public Instant getDateDeceased()
    Datum overlijden van de persoon
    Returns:
      possible object is `String`

  - ### setDateDeceased

    public void setDateDeceased(Instant value)
    Sets the value of the dateDeceased property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getDateDeceased()`

  - ### getAddress

    public AddressType getAddress()
    Domicilie adres van de persoon
    Returns:
      possible object is `AddressType`

  - ### setAddress

    public void setAddress(AddressType value)
    Sets the value of the address property.
    Parameters:
      `value` - allowed object is `AddressType`
    See Also:
      - `getAddress()`